Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Fields and methods of the jala.History class.
jala History()
Constructs a new History object.
methods

- add()

- remove()

- push()

- clear()

- redirect(offset)

- pop(offset)

- peek(offset)

- dump()

Methods
jala.History. add()
Initializes a new history stack, adds it to the array of stacks (which makes it the default one to use for further requests) and records the current request Url.
jala.History. remove()
Removes the current history stack
jala.History. push()
Records a request Url in the currently active history stack.
jala.History. clear()
Clears the currently active history stack
jala.History. redirect(offset)
Redirects the client back to the first valid request in history. Please mind that searching for a valid Url starts at history.length - 2.
parameters

Number | offset | The index position in the stack to start searching at

jala.History. pop(offset)
Retrieves the first valid request Url in history stack starting with a given offset. The default offset is 1. Any valid Url found is removed from the stack, therefor this method alters the contents of the history stack.
parameters

Number | offset | The index position in history stack to start searching at

returns

| The Url of the request

jala.History. peek(offset)
Retrieves the request Url at the given position in the current history stack. If no offset is given the last Url in the stack is returned. This method does not alter the stack contents!
parameters

Number | offset | The index position in history stack to start searching at

returns

| The Url of the request

jala.History. dump()
Returns the contents of all history stacks as string
returns

| The history stacks as string

Tue, 25 Nov 2008 16:50:11 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar